diff --git a/django/conf/locale/he/LC_MESSAGES/django.mo b/django/conf/locale/he/LC_MESSAGES/django.mo
index ceb1667..02601d2 100644
Binary files a/django/conf/locale/he/LC_MESSAGES/django.mo and b/django/conf/locale/he/LC_MESSAGES/django.mo differ
diff --git a/django/conf/locale/he/LC_MESSAGES/django.po b/django/conf/locale/he/LC_MESSAGES/django.po
index 186f2d9..40a1651 100644
--- a/django/conf/locale/he/LC_MESSAGES/django.po
+++ b/django/conf/locale/he/LC_MESSAGES/django.po
@@ -5,9 +5,9 @@ msgid ""
 msgstr ""
 "Project-Id-Version: Django\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-08-28 01:09+0300\n"
-"PO-Revision-Date: 2008-08-28 01:27+0200\n"
-"Last-Translator: Meir Kriheli <meir@mksoft.co.il>\n"
+"POT-Creation-Date: 2008-09-01 15:43-0400\n"
+"PO-Revision-Date: 2008-09-01 15:48-0500\n"
+"Last-Translator: Alex <alex.gaynor@gmail.com>\n"
 "Language-Team: Django-i18n <django-i18n@googlegroups.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -290,92 +290,93 @@ msgstr "רישום יומן"
 msgid "log entries"
 msgstr "רישומי יומן"
 
-#: contrib/admin/options.py:56
-#: contrib/admin/options.py:115
+#: contrib/admin/options.py:59
+#: contrib/admin/options.py:120
 msgid "None"
 msgstr "ללא"
 
-#: contrib/admin/options.py:329
+#: contrib/admin/options.py:332
 #, python-format
 msgid "Changed %s."
 msgstr "%s שונה."
 
-#: contrib/admin/options.py:329
-#: contrib/admin/options.py:339
+#: contrib/admin/options.py:332
+#: contrib/admin/options.py:342
+#: forms/models.py:264
 msgid "and"
 msgstr "ו"
 
-#: contrib/admin/options.py:334
+#: contrib/admin/options.py:337
 #, python-format
 msgid "Added %(name)s \"%(object)s\"."
 msgstr "התווסף %(name)s \"%(object)s\"."
 
-#: contrib/admin/options.py:338
+#: contrib/admin/options.py:341
 #, python-format
 msgid "Changed %(list)s for %(name)s \"%(object)s\"."
 msgstr "שונה %(list)s עבור %(name)s \"%(object)s\"."
 
-#: contrib/admin/options.py:343
+#: contrib/admin/options.py:346
 #, python-format
 msgid "Deleted %(name)s \"%(object)s\"."
 msgstr "נמחק %(name)s \"%(object)s\"."
 
-#: contrib/admin/options.py:347
+#: contrib/admin/options.py:350
 msgid "No fields changed."
 msgstr "אף שדה לא השתנה."
 
-#: contrib/admin/options.py:408
+#: contrib/admin/options.py:411
 #: contrib/auth/admin.py:51
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully."
 msgstr "הוספת %(name)s \"%(obj)s\" בוצעה בהצלחה."
 
-#: contrib/admin/options.py:412
-#: contrib/admin/options.py:445
-#: contrib/auth/admin.py:57
+#: contrib/admin/options.py:415
+#: contrib/admin/options.py:448
+#: contrib/auth/admin.py:59
 msgid "You may edit it again below."
 msgstr "ניתן לערוך שוב מתחת"
 
-#: contrib/admin/options.py:422
-#: contrib/admin/options.py:455
+#: contrib/admin/options.py:425
+#: contrib/admin/options.py:458
 #, python-format
 msgid "You may add another %s below."
 msgstr "ניתן להוסיף %s נוסף מתחת."
 
-#: contrib/admin/options.py:443
+#: contrib/admin/options.py:446
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was changed successfully."
 msgstr "שינוי %(name)s \"%(obj)s\" בוצע בהצלחה."
 
-#: contrib/admin/options.py:451
+#: contrib/admin/options.py:454
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully. You may edit it again below."
 msgstr "הוספת %(name)s \"%(obj)s\" בוצעה בהצלחה. ניתן לערוך אותו שוב מתחת."
 
-#: contrib/admin/options.py:517
+#: contrib/admin/options.py:530
 #, python-format
 msgid "Add %s"
 msgstr "הוספת %s"
 
-#: contrib/admin/options.py:595
+#: contrib/admin/options.py:608
 #, python-format
 msgid "Change %s"
 msgstr "שינוי %s"
 
-#: contrib/admin/options.py:627
+#: contrib/admin/options.py:640
 msgid "Database error"
 msgstr "שגיאת בסיס נתונים"
 
-#: contrib/admin/options.py:677
+#: contrib/admin/options.py:690
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was deleted successfully."
 msgstr "מחיקת %(name)s \"%(obj)s\" בוצעה בהצלחה."
 
-#: contrib/admin/options.py:684
+#: contrib/admin/options.py:697
 msgid "Are you sure?"
 msgstr "האם את/ה בטוח/ה ?"
 
-#: contrib/admin/options.py:713
+#: contrib/admin/options.py:726
 #, python-format
 msgid "Change history: %s"
 msgstr "היסטוריית שינוי: %s"
@@ -434,22 +435,32 @@ msgstr "אחד או יותר %(fieldname)s ב%(name)s: %(obj)s"
 msgid "One or more %(fieldname)s in %(name)s:"
 msgstr "אחד או יותר %(fieldname)s ב%(name)s:"
 
-#: contrib/admin/widgets.py:65
+#: contrib/admin/widgets.py:70
 msgid "Date:"
 msgstr "תאריך:"
 
-#: contrib/admin/widgets.py:65
+#: contrib/admin/widgets.py:70
 msgid "Time:"
 msgstr "שעה:"
 
-#: contrib/admin/widgets.py:89
+#: contrib/admin/widgets.py:94
 msgid "Currently:"
 msgstr "הנוכחי:"
 
-#: contrib/admin/widgets.py:89
+#: contrib/admin/widgets.py:94
 msgid "Change:"
 msgstr "שינוי:"
 
+#: contrib/admin/widgets.py:120
+#, fuzzy
+msgid "Lookup"
+msgstr "יציאה"
+
+#: contrib/admin/widgets.py:204
+#, fuzzy
+msgid "Add Another"
+msgstr "הוספת משתמש"
+
 #: contrib/admin/templates/admin/404.html:4
 #: contrib/admin/templates/admin/404.html:8
 msgid "Page not found"
@@ -879,156 +890,156 @@ msgstr "אתר"
 msgid "template"
 msgstr "תבנית"
 
-#: contrib/admindocs/views.py:53
-#: contrib/admindocs/views.py:55
 #: contrib/admindocs/views.py:57
+#: contrib/admindocs/views.py:59
+#: contrib/admindocs/views.py:61
 msgid "tag:"
 msgstr "תג:"
 
-#: contrib/admindocs/views.py:87
-#: contrib/admindocs/views.py:89
-#: contrib/admindocs/views.py:91
+#: contrib/admindocs/views.py:90
+#: contrib/admindocs/views.py:92
+#: contrib/admindocs/views.py:94
 msgid "filter:"
 msgstr "סינון:"
 
-#: contrib/admindocs/views.py:153
-#: contrib/admindocs/views.py:155
-#: contrib/admindocs/views.py:157
+#: contrib/admindocs/views.py:154
+#: contrib/admindocs/views.py:156
+#: contrib/admindocs/views.py:158
 msgid "view:"
 msgstr "ה-view:"
 
-#: contrib/admindocs/views.py:187
+#: contrib/admindocs/views.py:186
 #, python-format
 msgid "App %r not found"
 msgstr "יישום %r לא נמצא"
 
-#: contrib/admindocs/views.py:194
+#: contrib/admindocs/views.py:193
 #, python-format
 msgid "Model %(model_name)r not found in app %(app_label)r"
 msgstr "מודל %(model_name)r לא נמצא ביישום %(app_label)r"
 
-#: contrib/admindocs/views.py:206
+#: contrib/admindocs/views.py:205
 #, python-format
 msgid "the related `%(app_label)s.%(data_type)s` object"
 msgstr "אוביקטי `%(app_label)s.%(data_type)s` קשורים"
 
-#: contrib/admindocs/views.py:206
-#: contrib/admindocs/views.py:228
-#: contrib/admindocs/views.py:242
-#: contrib/admindocs/views.py:247
+#: contrib/admindocs/views.py:205
+#: contrib/admindocs/views.py:227
+#: contrib/admindocs/views.py:241
+#: contrib/admindocs/views.py:246
 msgid "model:"
 msgstr "מודל:"
 
-#: contrib/admindocs/views.py:237
+#: contrib/admindocs/views.py:236
 #, python-format
 msgid "related `%(app_label)s.%(object_name)s` objects"
 msgstr "אובייקטי `%(app_label)s.%(object_name)s` קשורים"
 
-#: contrib/admindocs/views.py:242
+#: contrib/admindocs/views.py:241
 #, python-format
 msgid "all %s"
 msgstr "כל %s"
 
-#: contrib/admindocs/views.py:247
+#: contrib/admindocs/views.py:246
 #, python-format
 msgid "number of %s"
 msgstr "מספר %s"
 
-#: contrib/admindocs/views.py:253
+#: contrib/admindocs/views.py:251
 #, python-format
 msgid "Fields on %s objects"
 msgstr "Fields on %s objects"
 
-#: contrib/admindocs/views.py:317
-#: contrib/admindocs/views.py:328
-#: contrib/admindocs/views.py:330
+#: contrib/admindocs/views.py:314
+#: contrib/admindocs/views.py:325
+#: contrib/admindocs/views.py:327
+#: contrib/admindocs/views.py:333
+#: contrib/admindocs/views.py:334
 #: contrib/admindocs/views.py:336
-#: contrib/admindocs/views.py:337
-#: contrib/admindocs/views.py:339
 msgid "Integer"
 msgstr "מספר שלם"
 
-#: contrib/admindocs/views.py:318
+#: contrib/admindocs/views.py:315
 msgid "Boolean (Either True or False)"
 msgstr "בוליאני (אמת או שקר)"
 
-#: contrib/admindocs/views.py:319
-#: contrib/admindocs/views.py:338
+#: contrib/admindocs/views.py:316
+#: contrib/admindocs/views.py:335
 #, python-format
 msgid "String (up to %(max_length)s)"
 msgstr "מחרוזת (עד %(max_length)s תווים)"
 
-#: contrib/admindocs/views.py:320
+#: contrib/admindocs/views.py:317
 msgid "Comma-separated integers"
 msgstr "מספרים שלמים מופרדים בפסיקים"
 
-#: contrib/admindocs/views.py:321
+#: contrib/admindocs/views.py:318
 msgid "Date (without time)"
 msgstr "תאריך (ללא שעה)"
 
-#: contrib/admindocs/views.py:322
+#: contrib/admindocs/views.py:319
 msgid "Date (with time)"
 msgstr "תאריך (כולל שעה)"
 
-#: contrib/admindocs/views.py:323
+#: contrib/admindocs/views.py:320
 msgid "Decimal number"
 msgstr "מספר עשרוני"
 
-#: contrib/admindocs/views.py:324
+#: contrib/admindocs/views.py:321
 msgid "E-mail address"
 msgstr "כתובת דוא\"ל"
 
-#: contrib/admindocs/views.py:325
+#: contrib/admindocs/views.py:322
+#: contrib/admindocs/views.py:323
 #: contrib/admindocs/views.py:326
-#: contrib/admindocs/views.py:329
 msgid "File path"
 msgstr "נתיב קובץ"
 
-#: contrib/admindocs/views.py:327
+#: contrib/admindocs/views.py:324
 msgid "Floating point number"
 msgstr "מספר עשרוני"
 
-#: contrib/admindocs/views.py:331
-#: contrib/comments/models.py:57
+#: contrib/admindocs/views.py:328
+#: contrib/comments/models.py:58
 msgid "IP address"
 msgstr "כתובת IP"
 
-#: contrib/admindocs/views.py:333
+#: contrib/admindocs/views.py:330
 msgid "Boolean (Either True, False or None)"
 msgstr "בוליאני (אמת, שקר או כלום)"
 
-#: contrib/admindocs/views.py:334
+#: contrib/admindocs/views.py:331
 msgid "Relation to parent model"
 msgstr "יחס למודל אב"
 
-#: contrib/admindocs/views.py:335
+#: contrib/admindocs/views.py:332
 msgid "Phone number"
 msgstr "מספר טלפון"
 
-#: contrib/admindocs/views.py:340
+#: contrib/admindocs/views.py:337
 msgid "Text"
 msgstr "טקסט"
 
-#: contrib/admindocs/views.py:341
+#: contrib/admindocs/views.py:338
 msgid "Time"
 msgstr "זמן"
 
-#: contrib/admindocs/views.py:342
-#: contrib/comments/forms.py:20
+#: contrib/admindocs/views.py:339
+#: contrib/comments/forms.py:21
 #: contrib/flatpages/admin.py:8
 #: contrib/flatpages/models.py:7
 msgid "URL"
 msgstr "URL"
 
-#: contrib/admindocs/views.py:343
+#: contrib/admindocs/views.py:340
 msgid "U.S. state (two uppercase letters)"
 msgstr "מדינה בארה\"ב (שתי אותיות גדולות)"
 
-#: contrib/admindocs/views.py:344
+#: contrib/admindocs/views.py:341
 msgid "XML text"
 msgstr "טקסט XML"
 
-#: contrib/admindocs/views.py:370
+#: contrib/admindocs/views.py:367
 #, python-format
 msgid "%s does not appear to be a urlpattern object"
 msgstr "לא נראה ש-%s הוא אובייקט urlpattern"
@@ -1107,15 +1118,15 @@ msgstr "תאריכים חשובים"
 msgid "Groups"
 msgstr "קבוצות"
 
-#: contrib/auth/admin.py:62
+#: contrib/auth/admin.py:64
 msgid "Add user"
 msgstr "הוספת משתמש"
 
-#: contrib/auth/admin.py:88
+#: contrib/auth/admin.py:90
 msgid "Password changed successfully."
 msgstr "הסיסמה שונתה בהצלחה."
 
-#: contrib/auth/admin.py:94
+#: contrib/auth/admin.py:96
 #, python-format
 msgid "Change password: %s"
 msgstr "שינוי סיסמה: %s"
@@ -1290,7 +1301,7 @@ msgid "Logged out"
 msgstr "יצאת מהמערכת"
 
 #: contrib/auth/management/commands/createsuperuser.py:23
-#: forms/fields.py:423
+#: forms/fields.py:425
 msgid "Enter a valid e-mail address."
 msgstr "יש להזין כתובת דוא\"ל חוקית."
 
@@ -1302,78 +1313,78 @@ msgstr "תוכן"
 msgid "Metadata"
 msgstr "מטא-נתונים"
 
-#: contrib/comments/forms.py:18
+#: contrib/comments/forms.py:19
 msgid "Name"
 msgstr "שם"
 
-#: contrib/comments/forms.py:19
+#: contrib/comments/forms.py:20
 msgid "Email address"
 msgstr "כתובת דוא\"ל"
 
-#: contrib/comments/forms.py:21
+#: contrib/comments/forms.py:22
 msgid "Comment"
 msgstr "תגובה"
 
-#: contrib/comments/forms.py:24
+#: contrib/comments/forms.py:25
 msgid "If you enter anything in this field your comment will be treated as spam"
 msgstr "אם יוזן משהו בשדה היחס לתגובתך יהיה כמו לספאם"
 
-#: contrib/comments/forms.py:124
+#: contrib/comments/forms.py:125
 #, python-format
 msgid "Watch your mouth! The word %s is not allowed here."
 msgid_plural "Watch your mouth! The words %s are not allowed here."
 msgstr[0] "שמור על לשונך! המילה %s אסורה לשימוש כאן."
 msgstr[1] "שמור על לשונך! המילים %s אסורות לשימוש כאן."
 
-#: contrib/comments/models.py:22
+#: contrib/comments/models.py:23
 msgid "object ID"
 msgstr "מזהה אובייקט"
 
-#: contrib/comments/models.py:49
+#: contrib/comments/models.py:50
 msgid "user's name"
 msgstr "שם משתמש"
 
-#: contrib/comments/models.py:50
+#: contrib/comments/models.py:51
 msgid "user's email address"
 msgstr "כתובת דוא\"ל משתמש"
 
-#: contrib/comments/models.py:51
+#: contrib/comments/models.py:52
 msgid "user's URL"
 msgstr "אתר המשתמש"
 
-#: contrib/comments/models.py:53
+#: contrib/comments/models.py:54
 msgid "comment"
 msgstr "תגובה"
 
-#: contrib/comments/models.py:56
+#: contrib/comments/models.py:57
 msgid "date/time submitted"
 msgstr "תאריך/שעת הגשה"
 
-#: contrib/comments/models.py:58
+#: contrib/comments/models.py:59
 msgid "is public"
 msgstr "ציבורי"
 
-#: contrib/comments/models.py:59
+#: contrib/comments/models.py:60
 msgid "Uncheck this box to make the comment effectively disappear from the site."
 msgstr "ביטול סימון תיבה תעלים בפועל את התגובה מהאתר"
 
-#: contrib/comments/models.py:61
+#: contrib/comments/models.py:62
 msgid "is removed"
 msgstr "האם הוסר"
 
-#: contrib/comments/models.py:62
+#: contrib/comments/models.py:63
 msgid "Check this box if the comment is inappropriate. A \"This comment has been removed\" message will be displayed instead."
 msgstr "יש לסמן תיבה זו עבור תגובה לא נאותה. הודעת \"תגובה זו נמחקה\" תוצג במקום."
 
-#: contrib/comments/models.py:114
+#: contrib/comments/models.py:115
 msgid "This comment was posted by an authenticated user and thus the name is read-only."
 msgstr "הודעה זו נשלחה ע\"י משתמש מחובר לכן השם הוא לקריאה בלבד."
 
-#: contrib/comments/models.py:123
+#: contrib/comments/models.py:124
 msgid "This comment was posted by an authenticated user and thus the email is read-only."
 msgstr "הודעה זו נשלחה ע\"י משתמש מחובר לכן כתובת הדוא\"ל לקריאה בלבד."
 
-#: contrib/comments/models.py:148
+#: contrib/comments/models.py:149
 #, python-format
 msgid ""
 "Posted by %(user)s at %(date)s\n"
@@ -1448,6 +1459,10 @@ msgstr "דף פשוט"
 msgid "flat pages"
 msgstr "דפים פשוטים"
 
+#: contrib/formtools/wizard.py:130
+msgid "We apologize, but your form has expired. Please continue filling out the form from this page."
+msgstr ""
+
 #: contrib/gis/forms/fields.py:14
 msgid "No geometry value provided."
 msgstr "לא סופק ערך גיאומטרי."
@@ -3428,168 +3443,172 @@ msgstr "שם לתצוגה"
 msgid "sites"
 msgstr "אתרים"
 
-#: db/models/fields/__init__.py:332
-#: db/models/fields/__init__.py:648
+#: db/models/fields/__init__.py:350
+#: db/models/fields/__init__.py:685
 msgid "This value must be an integer."
 msgstr "ערך זה חייב להיות מספר שלם."
 
-#: db/models/fields/__init__.py:363
+#: db/models/fields/__init__.py:381
 msgid "This value must be either True or False."
 msgstr "ערך זה חייב להיות אמת או שקר."
 
-#: db/models/fields/__init__.py:387
+#: db/models/fields/__init__.py:414
 msgid "This field cannot be null."
 msgstr "שדה זה אינו יכול להכיל null."
 
-#: db/models/fields/__init__.py:424
+#: db/models/fields/__init__.py:430
+msgid "Enter only digits separated by commas."
+msgstr "יש להזין רק ספרות מופרדות בפסיקים."
+
+#: db/models/fields/__init__.py:461
 msgid "Enter a valid date in YYYY-MM-DD format."
 msgstr "יש להזין תאריך במבנה YYYY-MM-DD."
 
-#: db/models/fields/__init__.py:433
+#: db/models/fields/__init__.py:470
 #, python-format
 msgid "Invalid date: %s"
 msgstr "תאריך שגוי: %s"
 
-#: db/models/fields/__init__.py:497
-#: db/models/fields/__init__.py:515
+#: db/models/fields/__init__.py:534
+#: db/models/fields/__init__.py:552
 msgid "Enter a valid date/time in YYYY-MM-DD HH:MM[:ss[.uuuuuu]] format."
 msgstr "נא להזין תאריך/שעה חוקיים בתחביר YYYY-MM-DD HH:MM[:ss[.uuuuuu]]."
 
-#: db/models/fields/__init__.py:551
+#: db/models/fields/__init__.py:588
 msgid "This value must be a decimal number."
 msgstr "ערך זה חייב להיות מספר עשרוני."
 
-#: db/models/fields/__init__.py:684
+#: db/models/fields/__init__.py:721
 msgid "This value must be either None, True or False."
 msgstr "ערך זה חייב להיות כלום, אמת או שקר."
 
-#: db/models/fields/__init__.py:783
-#: db/models/fields/__init__.py:797
+#: db/models/fields/__init__.py:829
+#: db/models/fields/__init__.py:843
 msgid "Enter a valid time in HH:MM[:ss[.uuuuuu]] format."
 msgstr "נא להזין זמן חוקי בתחביר HH:MM[:ss[.uuuuuu]]."
 
-#: db/models/fields/related.py:742
+#: db/models/fields/related.py:753
 msgid "Hold down \"Control\", or \"Command\" on a Mac, to select more than one."
 msgstr "יש להחזיק את \"Control\", או \"Command\" על מק, לחוץ כדי לבחור יותר מאחד."
 
-#: db/models/fields/related.py:819
+#: db/models/fields/related.py:830
 #, python-format
 msgid "Please enter valid %(self)s IDs. The value %(value)r is invalid."
 msgid_plural "Please enter valid %(self)s IDs. The values %(value)r are invalid."
 msgstr[0] "נא להזין מזהה %(self)s חוקי. הערך %(value)r אינו חוקי."
 msgstr[1] "נא להזין מזהי %(self)s חוקיים. הערכים %(value)r אינם חוקיים."
 
-#: forms/fields.py:52
+#: forms/fields.py:54
 msgid "This field is required."
 msgstr "יש להזין תוכן בשדה זה."
 
-#: forms/fields.py:53
+#: forms/fields.py:55
 msgid "Enter a valid value."
 msgstr "יש להזין ערך חוקי."
 
-#: forms/fields.py:133
+#: forms/fields.py:135
 #, python-format
 msgid "Ensure this value has at most %(max)d characters (it has %(length)d)."
 msgstr "נא לוודא שערך זה מכיל  %(max)d תווים לכל היותר (מכיל %(length)d)."
 
-#: forms/fields.py:134
+#: forms/fields.py:136
 #, python-format
 msgid "Ensure this value has at least %(min)d characters (it has %(length)d)."
 msgstr "נא לוודא שערך זה מכיל לפחות %(min)d תווים (מכיל %(length)d)."
 
-#: forms/fields.py:161
+#: forms/fields.py:163
 msgid "Enter a whole number."
 msgstr "נא להזין מספר שלם."
 
-#: forms/fields.py:162
-#: forms/fields.py:191
-#: forms/fields.py:220
+#: forms/fields.py:164
+#: forms/fields.py:193
+#: forms/fields.py:222
 #, python-format
 msgid "Ensure this value is less than or equal to %s."
 msgstr "יש לוודא שערך זה פחות מ או שווה ל %s."
 
-#: forms/fields.py:163
-#: forms/fields.py:192
-#: forms/fields.py:221
+#: forms/fields.py:165
+#: forms/fields.py:194
+#: forms/fields.py:223
 #, python-format
 msgid "Ensure this value is greater than or equal to %s."
 msgstr "יש לוודא שהערך גדול מ או שווה ל %s."
 
-#: forms/fields.py:190
-#: forms/fields.py:219
+#: forms/fields.py:192
+#: forms/fields.py:221
 msgid "Enter a number."
 msgstr "נא להזין מספר."
 
-#: forms/fields.py:222
+#: forms/fields.py:224
 #, python-format
 msgid "Ensure that there are no more than %s digits in total."
 msgstr "נא לוודא שאין יותר מ-%s ספרות סה\"כ"
 
-#: forms/fields.py:223
+#: forms/fields.py:225
 #, python-format
 msgid "Ensure that there are no more than %s decimal places."
 msgstr "נא לוודא שאין יותר מ-%s ספרות אחרי הנקודה"
 
-#: forms/fields.py:224
+#: forms/fields.py:226
 #, python-format
 msgid "Ensure that there are no more than %s digits before the decimal point."
 msgstr "נא לוודא שאין יותר מ-%s ספרות לפני הנקודה העשרונית"
 
-#: forms/fields.py:282
-#: forms/fields.py:804
+#: forms/fields.py:284
+#: forms/fields.py:844
 msgid "Enter a valid date."
 msgstr "יש להזין תאריך חוקי."
 
-#: forms/fields.py:316
-#: forms/fields.py:805
+#: forms/fields.py:318
+#: forms/fields.py:845
 msgid "Enter a valid time."
 msgstr "יש להזין שעה חוקית."
 
-#: forms/fields.py:355
+#: forms/fields.py:357
 msgid "Enter a valid date/time."
 msgstr "יש להזין תאריך ושעה חוקיים."
 
-#: forms/fields.py:441
+#: forms/fields.py:443
 msgid "No file was submitted. Check the encoding type on the form."
 msgstr "לא נשלח שום קובץ. נא לבדוק את סוג הקידוד של הטופס."
 
-#: forms/fields.py:442
+#: forms/fields.py:444
 msgid "No file was submitted."
 msgstr "לא נשלח שום קובץ"
 
-#: forms/fields.py:443
+#: forms/fields.py:445
 msgid "The submitted file is empty."
 msgstr "הקובץ שנשלח ריק."
 
-#: forms/fields.py:472
+#: forms/fields.py:474
 msgid "Upload a valid image. The file you uploaded was either not an image or a corrupted image."
 msgstr "נא להעלות תמונה חוקית. הקובץ שהעלת אינו תמונה או מכיל תמונה מקולקלת."
 
-#: forms/fields.py:533
+#: forms/fields.py:535
 msgid "Enter a valid URL."
 msgstr "יש להזין URL חוקי."
 
-#: forms/fields.py:534
+#: forms/fields.py:536
 msgid "This URL appears to be a broken link."
 msgstr "ה-URL הזה נראה כקישור שבור."
 
-#: forms/fields.py:602
-#: forms/fields.py:653
+#: forms/fields.py:615
+#: forms/fields.py:693
 #, python-format
 msgid "Select a valid choice. %(value)s is not one of the available choices."
 msgstr "יש לבחור אפשרות חוקית. %(value)s אינו בין האפשרויות הזמינות."
 
-#: forms/fields.py:654
-#: forms/fields.py:715
-#: forms/models.py:531
+#: forms/fields.py:694
+#: forms/fields.py:755
+#: forms/models.py:633
 msgid "Enter a list of values."
 msgstr "יש להזין רשימת ערכים"
 
-#: forms/fields.py:833
+#: forms/fields.py:873
 msgid "Enter a valid IPv4 address."
 msgstr "יש להזין כתובת IPv4 חוקית."
 
-#: forms/fields.py:843
+#: forms/fields.py:883
 msgid "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens."
 msgstr "יש להזין ערך המכיל אותיות, ספרות, קווים תחתונים ומקפים בלבד."
 
@@ -3598,11 +3617,17 @@ msgstr "יש להזין ערך המכיל אותיות, ספרות, קווים 
 msgid "Order"
 msgstr "מיון"
 
-#: forms/models.py:463
+#: forms/models.py:258
+#: forms/models.py:266
+#, python-format
+msgid "%(model_name)s with this %(field_label)s already exists."
+msgstr "%(model_name)s·עם·%(field_label)s·זה קיימת כבר."
+
+#: forms/models.py:565
 msgid "Select a valid choice. That choice is not one of the available choices."
 msgstr "יש לבחור אפשרות חוקית; '%(data)s' אינו בין %(choices)s."
 
-#: forms/models.py:532
+#: forms/models.py:634
 #, python-format
 msgid "Select a valid choice. %s is not one of the available choices."
 msgstr "יש לבחור אפשרות חוקית. %s אינו בין האפשרויות הזמינות."
@@ -4054,8 +4079,6 @@ msgstr "ה-%(verbose_name)s נמחק."
 #~ msgstr "אסור להשתמש באותיות גדולות."
 #~ msgid "Lowercase letters are not allowed here."
 #~ msgstr "אסור להשתמש באותיות קטנות."
-#~ msgid "Enter only digits separated by commas."
-#~ msgstr "יש להזין רק ספרות מופרדות בפסיקים."
 #~ msgid "Enter valid e-mail addresses separated by commas."
 #~ msgstr "יש להזין רק כתובות דוא\"ל מופרדות בפסיקים."
 #~ msgid "Please enter a valid IP address."
@@ -4185,8 +4208,6 @@ msgstr "ה-%(verbose_name)s נמחק."
 #~ msgid ""
 #~ "%(object)s with this %(type)s already exists for the given %(field)s."
 #~ msgstr "%(object)s עם %(type)s קיים כבר עבור %(field)s נתון."
-#~ msgid "%(optname)s with this %(fieldname)s already exists."
-#~ msgstr "%(optname)s·עם·%(fieldname)s·זה קיימת כבר."
 #~ msgid "Enter a valid filename."
 #~ msgstr "יש להזין שם קובץ חוקי."
 #~ msgid "Please enter a valid %s."