Index: django/conf/locale/mk/LC_MESSAGES/django.po
===================================================================
--- django/conf/locale/mk/LC_MESSAGES/django.po	(revision 8822)
+++ django/conf/locale/mk/LC_MESSAGES/django.po	(working copy)
@@ -1,13 +1,13 @@
-# translation of django.po to macedonian
+# translation of django.po to Macedonian
 # (c) 2008, The Django Software Foundation
 msgid ""
 msgstr ""
 "Project-Id-Version: django\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-08-30 13:08+0200\n"
-"PO-Revision-Date: 2008-08-30 13:10+0200\n"
+"POT-Creation-Date: 2008-09-02 00:43+0200\n"
+"PO-Revision-Date: 2008-09-02 00:47+0200\n"
 "Last-Translator: Georgi Stanojevski <glisha@gmail.com>\n"
-"Language-Team: macedonian <ossm-members@hedona.on.net.mk>\n"
+"Language-Team: Macedonian <ossm-members@hedona.on.net.mk>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -244,15 +244,15 @@
 msgid "This year"
 msgstr "Оваа година"
 
-#: contrib/admin/filterspecs.py:147 forms/widgets.py:390
+#: contrib/admin/filterspecs.py:147 forms/widgets.py:391
 msgid "Yes"
 msgstr "Да"
 
-#: contrib/admin/filterspecs.py:147 forms/widgets.py:390
+#: contrib/admin/filterspecs.py:147 forms/widgets.py:391
 msgid "No"
 msgstr "Не"
 
-#: contrib/admin/filterspecs.py:154 forms/widgets.py:390
+#: contrib/admin/filterspecs.py:154 forms/widgets.py:391
 msgid "Unknown"
 msgstr "Непознато"
 
@@ -284,89 +284,90 @@
 msgid "log entries"
 msgstr "ставки во записникот"
 
-#: contrib/admin/options.py:56 contrib/admin/options.py:120
+#: contrib/admin/options.py:59 contrib/admin/options.py:120
 msgid "None"
 msgstr "Ништо"
 
-#: contrib/admin/options.py:334
+#: contrib/admin/options.py:332
 #, python-format
 msgid "Changed %s."
 msgstr "Изменета %s."
 
-#: contrib/admin/options.py:334 contrib/admin/options.py:344
+#: contrib/admin/options.py:332 contrib/admin/options.py:342
+#: forms/models.py:265
 msgid "and"
 msgstr "и"
 
-#: contrib/admin/options.py:339
+#: contrib/admin/options.py:337
 #, python-format
 msgid "Added %(name)s \"%(object)s\"."
 msgstr "Додадено %(name)s „%(object)s“."
 
-#: contrib/admin/options.py:343
+#: contrib/admin/options.py:341
 #, python-format
 msgid "Changed %(list)s for %(name)s \"%(object)s\"."
 msgstr " Изменето %(list)s за %(name)s „%(object)s“."
 
-#: contrib/admin/options.py:348
+#: contrib/admin/options.py:346
 #, python-format
 msgid "Deleted %(name)s \"%(object)s\"."
 msgstr "Избришан  %(name)s „%(object)s“."
 
-#: contrib/admin/options.py:352
+#: contrib/admin/options.py:350
 msgid "No fields changed."
 msgstr "Не беше изменето ниедно поле."
 
-#: contrib/admin/options.py:413 contrib/auth/admin.py:51
+#: contrib/admin/options.py:411 contrib/auth/admin.py:51
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully."
 msgstr "%(name)s \"%(obj)s\" беше успешно додаден."
 
-#: contrib/admin/options.py:417 contrib/admin/options.py:450
-#: contrib/auth/admin.py:57
+#: contrib/admin/options.py:415 contrib/admin/options.py:448
+#: contrib/auth/admin.py:59
 msgid "You may edit it again below."
 msgstr "Подолу можете повторно да го уредите."
 
-#: contrib/admin/options.py:427 contrib/admin/options.py:460
+#: contrib/admin/options.py:425 contrib/admin/options.py:458
 #, python-format
 msgid "You may add another %s below."
 msgstr "Подолу можете да додате уште еден %s."
 
-#: contrib/admin/options.py:448
+#: contrib/admin/options.py:446
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was changed successfully."
 msgstr "%(name)s \"%(obj)s\" беше успешно изменета."
 
-#: contrib/admin/options.py:456
+#: contrib/admin/options.py:454
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was added successfully. You may edit it again below."
 msgstr ""
 "%(name)s \"%(obj)s\" беше успешно додадена.Подолу можете повторно да ја "
 "уредите."
 
-#: contrib/admin/options.py:532
+#: contrib/admin/options.py:530
 #, python-format
 msgid "Add %s"
 msgstr "Додади %s"
 
-#: contrib/admin/options.py:610
+#: contrib/admin/options.py:608
 #, python-format
 msgid "Change %s"
 msgstr "Измени %s"
 
-#: contrib/admin/options.py:642
+#: contrib/admin/options.py:640
 msgid "Database error"
 msgstr "Грешка во базата со податоци"
 
-#: contrib/admin/options.py:692
+#: contrib/admin/options.py:690
 #, python-format
 msgid "The %(name)s \"%(obj)s\" was deleted successfully."
 msgstr "%(name)s \"%(obj)s\" беше избришана успешно."
 
-#: contrib/admin/options.py:699
+#: contrib/admin/options.py:697
 msgid "Are you sure?"
 msgstr "Сигурни сте?"
 
-#: contrib/admin/options.py:728
+#: contrib/admin/options.py:726
 #, python-format
 msgid "Change history: %s"
 msgstr "Историја на измени: %s"
@@ -431,27 +432,27 @@
 msgid "One or more %(fieldname)s in %(name)s:"
 msgstr "Еден или повеќе %(fieldname)s во %(name)s:"
 
-#: contrib/admin/widgets.py:65
+#: contrib/admin/widgets.py:70
 msgid "Date:"
 msgstr "Датум:"
 
-#: contrib/admin/widgets.py:65
+#: contrib/admin/widgets.py:70
 msgid "Time:"
 msgstr "Време:"
 
-#: contrib/admin/widgets.py:89
+#: contrib/admin/widgets.py:94
 msgid "Currently:"
 msgstr "Моментално:"
 
-#: contrib/admin/widgets.py:89
+#: contrib/admin/widgets.py:94
 msgid "Change:"
 msgstr "Измена:"
 
-#: contrib/admin/widgets.py:115
+#: contrib/admin/widgets.py:120
 msgid "Lookup"
 msgstr "Побарај"
 
-#: contrib/admin/widgets.py:195
+#: contrib/admin/widgets.py:204
 msgid "Add Another"
 msgstr "Додади друго"
 
@@ -1025,7 +1026,7 @@
 msgid "Floating point number"
 msgstr "Децимален број"
 
-#: contrib/admindocs/views.py:328 contrib/comments/models.py:57
+#: contrib/admindocs/views.py:328 contrib/comments/models.py:58
 msgid "IP address"
 msgstr "ИП адреса"
 
@@ -1049,7 +1050,7 @@
 msgid "Time"
 msgstr "Час"
 
-#: contrib/admindocs/views.py:339 contrib/comments/forms.py:20
+#: contrib/admindocs/views.py:339 contrib/comments/forms.py:21
 #: contrib/flatpages/admin.py:8 contrib/flatpages/models.py:7
 msgid "URL"
 msgstr "URL"
@@ -1152,15 +1153,15 @@
 msgid "Groups"
 msgstr "Групи"
 
-#: contrib/auth/admin.py:62
+#: contrib/auth/admin.py:64
 msgid "Add user"
 msgstr "Додади корисник"
 
-#: contrib/auth/admin.py:88
+#: contrib/auth/admin.py:90
 msgid "Password changed successfully."
 msgstr "Успешна промена на лозинката."
 
-#: contrib/auth/admin.py:94
+#: contrib/auth/admin.py:96
 #, python-format
 msgid "Change password: %s"
 msgstr "Промени лозинка: %s"
@@ -1356,7 +1357,7 @@
 msgid "Logged out"
 msgstr "Одјавен"
 
-#: contrib/auth/management/commands/createsuperuser.py:23 forms/fields.py:423
+#: contrib/auth/management/commands/createsuperuser.py:23 forms/fields.py:428
 msgid "Enter a valid e-mail address."
 msgstr "Внесeте правилна адреса за е-пошта."
 
@@ -1368,66 +1369,66 @@
 msgid "Metadata"
 msgstr "Метаподатоци"
 
-#: contrib/comments/forms.py:18
+#: contrib/comments/forms.py:19
 msgid "Name"
 msgstr "Име"
 
-#: contrib/comments/forms.py:19
+#: contrib/comments/forms.py:20
 msgid "Email address"
 msgstr "Е-пошта"
 
-#: contrib/comments/forms.py:21
+#: contrib/comments/forms.py:22
 msgid "Comment"
 msgstr "Коментар"
 
-#: contrib/comments/forms.py:24
+#: contrib/comments/forms.py:25
 msgid "If you enter anything in this field your comment will be treated as spam"
 msgstr "Ако внесете нешто во ова поле вашиот коментар ќе биде означен како спам"
 
-#: contrib/comments/forms.py:124
+#: contrib/comments/forms.py:125
 #, python-format
 msgid "Watch your mouth! The word %s is not allowed here."
 msgid_plural "Watch your mouth! The words %s are not allowed here."
 msgstr[0] "Внимавајте на јазикот. Тука не е дозволен зборот %s."
 msgstr[1] "Внимавајте на јазикот. Тука не се дозволени зборовите %s."
 
-#: contrib/comments/models.py:22
+#: contrib/comments/models.py:23
 msgid "object ID"
 msgstr "object ID"
 
-#: contrib/comments/models.py:49
+#: contrib/comments/models.py:50
 msgid "user's name"
 msgstr "името на корисникот"
 
-#: contrib/comments/models.py:50
+#: contrib/comments/models.py:51
 msgid "user's email address"
 msgstr "е-пошта на корисникот"
 
-#: contrib/comments/models.py:51
+#: contrib/comments/models.py:52
 msgid "user's URL"
 msgstr "веб страна на корсникот"
 
-#: contrib/comments/models.py:53
+#: contrib/comments/models.py:54
 msgid "comment"
 msgstr "коментар"
 
-#: contrib/comments/models.py:56
+#: contrib/comments/models.py:57
 msgid "date/time submitted"
 msgstr "датум/време пријавен"
 
-#: contrib/comments/models.py:58
+#: contrib/comments/models.py:59
 msgid "is public"
 msgstr "е јавен"
 
-#: contrib/comments/models.py:59
+#: contrib/comments/models.py:60
 msgid "Uncheck this box to make the comment effectively disappear from the site."
 msgstr "Одштиклирајте го ова за да направите коментаров да исчезне од овој сајт."
 
-#: contrib/comments/models.py:61
+#: contrib/comments/models.py:62
 msgid "is removed"
 msgstr "е отстранет"
 
-#: contrib/comments/models.py:62
+#: contrib/comments/models.py:63
 msgid ""
 "Check this box if the comment is inappropriate. A \"This comment has been "
 "removed\" message will be displayed instead."
@@ -1435,7 +1436,7 @@
 "Штиклирајте го ова поле ако коментарот не е пригоден. Наместо него пораката "
 "„Овој коментар беше отстранет“ ќе биде прикажана."
 
-#: contrib/comments/models.py:114
+#: contrib/comments/models.py:115
 msgid ""
 "This comment was posted by an authenticated user and thus the name is read-"
 "only."
@@ -1443,7 +1444,7 @@
 "Овој коментар бил пратен од автентициран корисник и затоа името е заштитено "
 "од промена."
 
-#: contrib/comments/models.py:123
+#: contrib/comments/models.py:124
 msgid ""
 "This comment was posted by an authenticated user and thus the email is read-"
 "only."
@@ -1451,7 +1452,7 @@
 "Овој коментар бил пратен од автентициран корисник и затоа е-пошта е "
 "заштитена од промена."
 
-#: contrib/comments/models.py:148
+#: contrib/comments/models.py:149
 #, python-format
 msgid ""
 "Posted by %(user)s at %(date)s\n"
@@ -1540,7 +1541,9 @@
 msgid ""
 "We apologize, but your form has expired. Please continue filling out the "
 "form from this page."
-msgstr "Се извинуваме но вашата форма истече. Ве молам продолжете пополнувајќи ја формата од оваа страница."
+msgstr ""
+"Се извинуваме но вашата форма истече. Ве молам продолжете пополнувајќи ја "
+"формата од оваа страница."
 
 #: contrib/gis/forms/fields.py:14
 msgid "No geometry value provided."
@@ -3486,9 +3489,7 @@
 msgid ""
 "This should be an absolute path, excluding the domain name. Example: '/"
 "events/search/'."
-msgstr ""
-"Ова треба да биде апсолутна патека без името на домејнот. На пр. „/nastani/"
-"prebaraj/“."
+msgstr "Ова треба да биде апсолутна патека без името на домејнот. На пр. „/nastani/prebaraj/“."
 
 #: contrib/redirects/models.py:9
 msgid "redirect to"
@@ -3542,52 +3543,52 @@
 msgid "sites"
 msgstr "сајтови"
 
-#: db/models/fields/__init__.py:332 db/models/fields/__init__.py:667
+#: db/models/fields/__init__.py:348 db/models/fields/__init__.py:683
 msgid "This value must be an integer."
 msgstr "Оваа вредност мора да биде цел број."
 
-#: db/models/fields/__init__.py:363
+#: db/models/fields/__init__.py:379
 msgid "This value must be either True or False."
 msgstr "Оваа вредност мора да биде или точно или неточно."
 
-#: db/models/fields/__init__.py:396
+#: db/models/fields/__init__.py:412
 msgid "This field cannot be null."
 msgstr "Оваа вредност неможе да биде null."
 
-#: db/models/fields/__init__.py:412
+#: db/models/fields/__init__.py:428
 msgid "Enter only digits separated by commas."
 msgstr "Внесете само цифри одделени со запирки."
 
-#: db/models/fields/__init__.py:443
+#: db/models/fields/__init__.py:459
 msgid "Enter a valid date in YYYY-MM-DD format."
 msgstr "Внесете правилен датум во форматот ГГГГ-ММ-ДД."
 
-#: db/models/fields/__init__.py:452
+#: db/models/fields/__init__.py:468
 #, python-format
 msgid "Invalid date: %s"
 msgstr "Неправилен датум: %s"
 
-#: db/models/fields/__init__.py:516 db/models/fields/__init__.py:534
+#: db/models/fields/__init__.py:532 db/models/fields/__init__.py:550
 msgid "Enter a valid date/time in YYYY-MM-DD HH:MM[:ss[.uuuuuu]] format."
 msgstr "Внесете правилен датум/време во YYYY-MM-DD HH:MM[:ss[.uuuuuu]] формат."
 
-#: db/models/fields/__init__.py:570
+#: db/models/fields/__init__.py:586
 msgid "This value must be a decimal number."
 msgstr "Оваа вредност мора да биде децимален број."
 
-#: db/models/fields/__init__.py:703
+#: db/models/fields/__init__.py:719
 msgid "This value must be either None, True or False."
 msgstr "Оваа вредност мора да биде празна, точно или неточно."
 
-#: db/models/fields/__init__.py:811 db/models/fields/__init__.py:825
+#: db/models/fields/__init__.py:817 db/models/fields/__init__.py:831
 msgid "Enter a valid time in HH:MM[:ss[.uuuuuu]] format."
 msgstr "Внесете правилно време во HH:MM[:ss[.uuuuuu]] формат."
 
-#: db/models/fields/related.py:748
+#: db/models/fields/related.py:758
 msgid "Hold down \"Control\", or \"Command\" on a Mac, to select more than one."
-msgstr "Држете го „Control“ или „Command“ на Мекинтош за да изберете повеќе од едно."
+msgstr "Држете го „Control“, или „Command“ на Мекинтош, за да изберете повеќе од едно."
 
-#: db/models/fields/related.py:825
+#: db/models/fields/related.py:835
 #, python-format
 msgid "Please enter valid %(self)s IDs. The value %(value)r is invalid."
 msgid_plural "Please enter valid %(self)s IDs. The values %(value)r are invalid."
@@ -3598,82 +3599,82 @@
 "Ве молам внесете правилен %(self)s идентификацион број. Вредностите %(value)"
 "r се неправилни."
 
-#: forms/fields.py:52
+#: forms/fields.py:54
 msgid "This field is required."
 msgstr "Ова поле е задолжително."
 
-#: forms/fields.py:53
+#: forms/fields.py:55
 msgid "Enter a valid value."
 msgstr "Внесете правилна вредност."
 
-#: forms/fields.py:133
+#: forms/fields.py:138
 #, python-format
 msgid "Ensure this value has at most %(max)d characters (it has %(length)d)."
 msgstr "Осигурајте се дека оваа вредност има најмногу %(max)d знаци (има %(length)d)."
 
-#: forms/fields.py:134
+#: forms/fields.py:139
 #, python-format
 msgid "Ensure this value has at least %(min)d characters (it has %(length)d)."
 msgstr "Осигурајте се дека оваа вредност има најмалку %(min)d знаци (има %(length)d)."
 
-#: forms/fields.py:161
+#: forms/fields.py:166
 msgid "Enter a whole number."
 msgstr "Внеси цел број."
 
-#: forms/fields.py:162 forms/fields.py:191 forms/fields.py:220
+#: forms/fields.py:167 forms/fields.py:196 forms/fields.py:225
 #, python-format
 msgid "Ensure this value is less than or equal to %s."
 msgstr "Осигурајте се дека оваа вредност е помала или еднаква со %s."
 
-#: forms/fields.py:163 forms/fields.py:192 forms/fields.py:221
+#: forms/fields.py:168 forms/fields.py:197 forms/fields.py:226
 #, python-format
 msgid "Ensure this value is greater than or equal to %s."
 msgstr "Осигурајте се дека оваа вредност е поголема или еднаква со %s."
 
-#: forms/fields.py:190 forms/fields.py:219
+#: forms/fields.py:195 forms/fields.py:224
 msgid "Enter a number."
 msgstr "Внесете број."
 
-#: forms/fields.py:222
+#: forms/fields.py:227
 #, python-format
 msgid "Ensure that there are no more than %s digits in total."
-msgstr "Осигурајте се дека нема вкупно повеќе од %s цифри."
+msgstr "Осигурајте се дека вкупно нема повеќе од %s цифри."
 
-#: forms/fields.py:223
+#: forms/fields.py:228
 #, python-format
 msgid "Ensure that there are no more than %s decimal places."
 msgstr "Осигурајте се дека нема повеќе од %s децимални места."
 
-#: forms/fields.py:224
+#: forms/fields.py:229
 #, python-format
 msgid "Ensure that there are no more than %s digits before the decimal point."
 msgstr "Осигурајте се дека нема повеќе од %s цифри пред децималната запирка."
 
-#: forms/fields.py:282 forms/fields.py:815
+#: forms/fields.py:287 forms/fields.py:848
 msgid "Enter a valid date."
 msgstr "Внесете правилен датум."
 
-#: forms/fields.py:316 forms/fields.py:816
+#: forms/fields.py:321 forms/fields.py:849
 msgid "Enter a valid time."
 msgstr "Внесете правилно време."
 
-#: forms/fields.py:355
+#: forms/fields.py:360
 msgid "Enter a valid date/time."
 msgstr "Внесете правилен датум со време."
 
-#: forms/fields.py:441
+#: forms/fields.py:446
 msgid "No file was submitted. Check the encoding type on the form."
 msgstr "Не беше пратена датотека. Проверете го типот на енкодирање на формата."
 
-#: forms/fields.py:442
+#: forms/fields.py:447
 msgid "No file was submitted."
 msgstr "Не беше пратена датотека."
 
-#: forms/fields.py:443
+#: forms/fields.py:448
 msgid "The submitted file is empty."
 msgstr "Пратената датотека е празна."
 
-#: forms/fields.py:472
+#: forms/fields.py:477
 msgid ""
 "Upload a valid image. The file you uploaded was either not an image or a "
 "corrupted image."
@@ -3681,28 +3682,28 @@
 "Качете валидна фотографија. Датотеката која ја качивте или не беше "
 "фотографија или беше расипана датотеката."
 
-#: forms/fields.py:533
+#: forms/fields.py:538
 msgid "Enter a valid URL."
 msgstr "Внесете правилна адреса."
 
-#: forms/fields.py:534
+#: forms/fields.py:539
 msgid "This URL appears to be a broken link."
 msgstr "Оваа адреса изгледа дека не е достапна."
 
-#: forms/fields.py:613 forms/fields.py:664
+#: forms/fields.py:618 forms/fields.py:696
 #, python-format
 msgid "Select a valid choice. %(value)s is not one of the available choices."
 msgstr "Внесете валиден избор. %(value)s не е еден од можните избори."
 
-#: forms/fields.py:665 forms/fields.py:726 forms/models.py:531
+#: forms/fields.py:697 forms/fields.py:758 forms/models.py:635
 msgid "Enter a list of values."
 msgstr "Внесете листа на вредности."
 
-#: forms/fields.py:844
+#: forms/fields.py:877
 msgid "Enter a valid IPv4 address."
 msgstr "Внесeте правилна IPv4 адреса."
 
-#: forms/fields.py:854
+#: forms/fields.py:887
 msgid "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens."
 msgstr ""
 "Внесете правилно кратко име (slug) кое се соддржи од букви, цифри, долна "
@@ -3712,11 +3713,16 @@
 msgid "Order"
 msgstr "Редослед"
 
-#: forms/models.py:463
+#: forms/models.py:258 forms/models.py:267
+#, python-format
+msgid "%(model_name)s with this %(field_label)s already exists."
+msgstr "%(model_name)s со %(field_label)s веќе постои."
+
+#: forms/models.py:567
 msgid "Select a valid choice. That choice is not one of the available choices."
 msgstr "Изберете правилно. Тоа не е едно од можните избори."
 
-#: forms/models.py:532
+#: forms/models.py:636
 #, python-format
 msgid "Select a valid choice. %s is not one of the available choices."
 msgstr "Внесете правилно. %s не е еден од достапните вредности."