### Eclipse Workspace Patch 1.0
#P Django trunk
Index: django/contrib/auth/tests/views.py
===================================================================
--- django/contrib/auth/tests/views.py	(revision 10433)
+++ django/contrib/auth/tests/views.py	(working copy)
@@ -10,10 +10,22 @@
 from django.core import mail
 from django.core.urlresolvers import reverse
 
-class PasswordResetTest(TestCase):
+
+class BaseAuthTest(TestCase):
     fixtures = ['authtestdata.json']
     urls = 'django.contrib.auth.urls'
 
+    def setUp(self):
+        self.old_TEMPLATE_DIRS = settings.TEMPLATE_DIRS
+        settings.TEMPLATE_DIRS = (
+            os.path.join(os.path.dirname(__file__), 'templates'),
+        )
+
+    def tearDown(self):
+        settings.TEMPLATE_DIRS = self.old_TEMPLATE_DIRS
+
+
+class PasswordResetTest(BaseAuthTest):
     def test_email_not_found(self):
         "Error is raised if the provided email address isn't currently registered"
         response = self.client.get('/password_reset/')
@@ -93,22 +105,7 @@
         self.assert_("The two password fields didn&#39;t match" in response.content)
 
 
-class ChangePasswordTest(TestCase):
-    fixtures = ['authtestdata.json']
-    urls = 'django.contrib.auth.urls'
-
-    def setUp(self):
-        self.old_TEMPLATE_DIRS = settings.TEMPLATE_DIRS
-        settings.TEMPLATE_DIRS = (
-            os.path.join(
-                os.path.dirname(__file__),
-                'templates'
-            )
-        ,)
-
-    def tearDown(self):
-        settings.TEMPLATE_DIRS = self.old_TEMPLATE_DIRS
-
+class ChangePasswordTest(BaseAuthTest):
     def login(self, password='password'):
         response = self.client.post('/login/', {
             'username': 'testclient',
@@ -165,27 +162,19 @@
         self.fail_login()
         self.login(password='password1')
 
-class LoginTest(TestCase):
-    fixtures = ['authtestdata.json']
-    urls = 'django.contrib.auth.urls'
 
-    def setUp(self):
-        self.old_TEMPLATE_DIRS = settings.TEMPLATE_DIRS
-        settings.TEMPLATE_DIRS = (os.path.join(os.path.dirname(__file__), 'templates'),)
-
-    def tearDown(self):
-        settings.TEMPLATE_DIRS = self.old_TEMPLATE_DIRS
-
+class LoginTest(BaseAuthTest):
     def test_current_site_in_context_after_login(self):
         response = self.client.get(reverse('django.contrib.auth.views.login'))
         self.assertEquals(response.status_code, 200)
         site = Site.objects.get_current()
         self.assertEquals(response.context['site'], site)
         self.assertEquals(response.context['site_name'], site.name)
-        self.assert_(isinstance(response.context['form'], AuthenticationForm), 
+        self.assert_(isinstance(response.context['form'], AuthenticationForm),
                      'Login form is not an AuthenticationForm')
-        
-class LogoutTest(TestCase):
+
+
+class LogoutTest(BaseAuthTest):
     fixtures = ['authtestdata.json']
     urls = 'django.contrib.auth.tests.urls'
 
@@ -210,7 +199,7 @@
         self.assert_('Logged out' in response.content)
         self.confirm_logged_out()
 
-    def test_logout_with_next_page_specified(self): 
+    def test_logout_with_next_page_specified(self):
         "Logout with next_page option given redirects to specified resource"
         self.login()
         response = self.client.get('/logout/next_page/')
Index: django/contrib/auth/tests/templates/registration/password_reset_form.html
===================================================================
--- django/contrib/auth/tests/templates/registration/password_reset_form.html	(revision 0)
+++ django/contrib/auth/tests/templates/registration/password_reset_form.html	(revision 0)
@@ -0,0 +1 @@
+{{ form.as_ul }}
\ No newline at end of file
Index: django/contrib/auth/tests/templates/registration/password_change_form.html
===================================================================
--- django/contrib/auth/tests/templates/registration/password_change_form.html	(revision 0)
+++ django/contrib/auth/tests/templates/registration/password_change_form.html	(revision 0)
@@ -0,0 +1 @@
+{{ form.as_ul }}
\ No newline at end of file